Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::sort_fn Struct Reference
Inheritance diagram for ranges::actions::sort_fn:

## Synopsis of methods
constexpr action_closure< sort_fn > | sort {}

## Public Member Functions
template<typename C , typename P = identity>
constexpr auto | operator() (C pred, P proj={}) const
template<typename Rng , typename C = less, typename P = identity>
Rng | operator() (Rng &&rng, C pred={}, P proj={}) const

## Methods

## ◆ sort

constexpr action_closure<sort_fn> sort {}
| related

See also
  action_closure

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename C , typename P = identity>

constexpr auto ranges::actions::sort_fn::operator() | ( | C | pred,
|  | P | proj = `{}`
| ) |  | const
| constexpr

Precondition
  requires `(!range<C>)`

## ◆ operator()() [2/2]

template<typename Rng , typename C = less, typename P = identity>

Rng ranges::actions::sort_fn::operator() | ( | Rng && | rng,
|  | C | pred = `{}`,
|  | P | proj = `{}`
| ) |  | const

Precondition
  requires `forward_range<Rng> && sortable<iterator_t<Rng>, C, P>`